Subject: Package names with digits following dashes

From: Andreas Enge <[email-masked]>
Date: Sat, 29 Nov 2014 21:31:22 +0100

Trying to rename the font-adobe100dpi package to font-adobe-100dpi
(which is the correct name given our font conventions and even before),
I noticed the following problem:
guix build font-adobe-100dpi
looks in vain for a version 100dpi of the package named font-adobe.
The problem only occurs with digits following the dash; font-adobe-xdpi
would work.

I think we need a more sophisticated mechanism for separating package names
and versions, such as this:
- Try the compete string as a package name.
- If it does not exist, treat the part after the last dash as a version and
  the part before the last dash as the name.

One could continue recursively to the second to last dash and so on, but
I think it would be easier to prohibit dashes as part of version names.

Andreas